<template>
	<view class="center">
		<!-- <view class="bg"><image :src="src" mode=""></image></view> -->
		<!-- <view class="title">{{ title }}</view> -->
		<view v-html="synopsis" class="content">{{ synopsis }}</view>
	</view>
</template>

<script>
import { details } from '@/api/index.js';
export default {
	data() {
		return {
			src: '',
			title: '',
			synopsis: '',
			time: ''
		};
	},
	onLoad(option) {
		this.loadData(option.id);
	},
	methods: {
		async loadData(id) {
			let obj = this;
			details({}, id).then(e => {
				console.log(e);
				if (e.data.cid == '2') {
					uni.setNavigationBarTitle({
						title: '消息详情'
					});
				}
				if (e.data.cid == '1') {
					uni.setNavigationBarTitle({
						title: '加盟信息详情'
					});
				}
				obj.src = e.data.image_input[0];
				obj.title = e.data.title;
				obj.synopsis = e.data.content;
				obj.time = e.data.add_time;
			});
		}
	}
};
</script>

<style lang="scss">
.center {
	height: 100%;
}
.bg {
	width: 100%;
	height: 474rpx;
	image {
		width: 100%;
		height: 100%;
	}
}
.title {
	width: 90%;
	margin: 0 auto;
	font-size: 40rpx;
	font-weight: 500;
	color: #171313;
	text-overflow: -o-ellipsis-lastline;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
}
.time {
	width: 90%;
	margin: 0 auto;
	margin-top: 16rpx;
	font-size: 24rpx;
	font-weight: 500;
	color: #656b6c;
}
.content {
	width: 90%;
	margin: 0 auto;
	padding-top: 20rpx;
	// margin-top: 20rpx;
	font-size: 32rpx;
	font-weight: 500;
	color: #777777;
}
/deep/ .content {
	img {
		width: 100%;
		height: 100%;
	}
}
</style>
